Name:	gdmap
Version:	0.8.1
Release:	8%{?dist}
Summary:	A tool which allows to visualize disk space

Group:	Applications/System
# No version specified.
License:	GPL+
URL:	http://gdmap.sourceforge.net
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.8.1-desktop.patch
Patch1:		%{name}-0.8.1-deprecated-sensitive.patch
Patch2:		%{name}-0.8.1-deprecated-focus.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, libxml2-devel, desktop-file-utils, gettext, intltool, pkgconfig

%description
GdMap is a tool which allows you to visualize disk space with one single
picture. To display directory structures, cushion treemaps are used to
visualize a complete folder or even the whole hard drive with one picture.

%prep
%setup -q
%patch0 -p1
%patch1 -p2
%patch2 -p2

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


desktop-file-install --vendor fedora --delete-original \
	--add-category X-Fedora \
	--add-category System \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang GdMap

%clean
rm -rf $RPM_BUILD_ROOT


%files -f GdMap.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/pixmaps/%{name}*
%{_datadir}/pixmaps/%{name}*
%{_mandir}/man1/*


%changelog
* Thu Feb 10 2011 Martin Ebourne <martin@zepler.org> - 0.8.1-8
- Added gdmap-0.8.1-deprecated-sensitive and gdmap-0.8.1-deprecated-focus patches to cover recent gnome changes.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 13 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.8.1-4
- Bumped

* Tue Jan 13 2009 Rakesh Pandit <rakesh@fedoraproject.org> - 0.8.1-3
- Escaped macros in changelog to make rpmlint silent.
- Removed mixed space and tab.

* Thu Dec  4 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 0.8.1-2
- Include unowned /usr/share/gdmap/pixmaps directory.

* Tue Sep 16 2008 Matt Domsch <mdomsch@fedoraproject.org> - 0.8.1-1
- update to 0.8.1, fix FTBFS BZ#434529

* Mon Jul 21 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.7.5-8
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.7.5-7
- Autorebuild for GCC 4.3

* Mon Oct 16 2006 Damien Durand <splinux@fedoraproject.org> - 0.7.5-6
- Bumped

* Mon Aug 28 2006 Damien Durand <splinux@fedoraproject.org> - 0.7.5-5
- Bump Release

* Fri Jul 7 2006 Damien Durand <splinux@fedoraproject.org> - 0.7.5-4
- Fixed Desktop file

* Fri Jul 7 2006 Damien Durand <splinux@fedoraproject.org> - 0.7.5-3
- Fixed mixed-use-of-spaces-and-tabs and %%find_lang in changelog
- added category System and delete-original in desktop-file-install

* Tue Apr 6 2006 Damien Durand <splinux@fedoraproject.org> - 0.7.5-2
- Fixed Buidrequires, add intltool
- Fixed locales, add %%find_lang GdMap and %%files -f GdMap.lang and remove {_datadir}/locales

* Tue Apr 6 2006 Damien Durand <splinux@fedoraproject.org> - 0.7.5-1
- Initial package
